package org.jeecg.modules.ctop.controller;

import com.alibaba.fastjson.JSONObject;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.jeecg.modules.ctop.service.ICreateInternalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;

@RestController
@RequestMapping("/test")
public class TestController {
    @Autowired
    private ICreateInternalService createInternalService;

    @GetMapping(value = "/create")
    public void authorization() {
        JSONObject json = new JSONObject();
        System.err.println(json);
        createInternalService.createInternal(json);
    }

    public static void main(String[] args) throws Exception {
        File f = new File("D:\\upload\\excel\\template.xlsx");
        InputStream inputStream = new FileInputStream(f);
        XSSFWorkbook xssfWorkbook = new XSSFWorkbook(inputStream);
//        //获取第一个sheet
        XSSFSheet xssfSheet = xssfWorkbook.getSheetAt(0);
        for (int i = 1; i < 6; i++) {
            System.out.println("i:" + i);
            Row row = xssfSheet.getRow(i);
            for (int j = 1; j < 4; j++) {
                Cell cell = row.createCell(j);
                if (j == 3) {
                    cell.setCellType(XSSFCell.CELL_TYPE_FORMULA);
                    cell.setCellFormula("B2*C2");
                } else {
                    cell.setCellValue(i);
                }
            }
        }
        FileOutputStream fileOutputStream = new FileOutputStream("D:\\upload\\excel\\get.xlsx");
        xssfWorkbook.write(fileOutputStream);
        fileOutputStream.close();
    }
}
